#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <math.h>
#include "random.h"
#include "normal.h"

/*----------------------------------------------------------------------
  Preprocessor Definitions
----------------------------------------------------------------------*/
#ifndef M_PI                    /* if not defined (no Posix source) */
#define M_PI      3.14159265358979323846  /* \pi */
#endif

/*----------------------------------------------------------------------
  Main Function
----------------------------------------------------------------------*/

int main (int argc, char* argv[])
{                               /* --- main function */
  int    n1, n2;                /* numbers of points */
  double x, y, r, a;            /* coordinates, radius, angle */

  if (argc < 3) {               /* check the number of arguments */
    printf("usage: %s n1 n2 [seed]\n", argv[0]); return 0; }
  n1 = atoi(argv[1]);           /* get the program arguments and */
  n2 = atoi(argv[2]);           /* init. the random number generator */
  rseed((argc > 3) ? (unsigned)atoi(argv[3]) : (unsigned)time(NULL));

  printf("  x     y\n");
  #if 1
  printf("-10.5   3.0\n");
  printf(" -7.5   3.0\n");
  printf(" -4.5   3.0\n");
  #endif
  while (--n1 >= 0) {
    r = normrand(drand, 16, 1.5);
    a = M_PI *drand() +M_PI;
    x = r *cos(a) +16;
    y = r *sin(a) +4;
    printf("% 5.1f % 5.1f\n", x, y);
  }
  while (--n2 >= 0) {
    r = normrand(drand, 16, 1.5);
    a = M_PI *drand();
    x = r *cos(a);
    y = r *sin(a);
    printf("% 5.1f % 5.1f\n", x, y);
  }
  return 0;
}  /* main() */
